org.apache.solr.security

## Class KerberosFilter

- java.lang.Object
- - org.apache.hadoop.security.authentication.server.AuthenticationFilter
  - - org.apache.solr.security.KerberosFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class KerberosFilter
      extends org.apache.hadoop.security.authentication.server.AuthenticationFilter

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

      `AUTH_TOKEN_VALIDITY, AUTH_TYPE, CONFIG_PREFIX, COOKIE_DOMAIN, COOKIE_PATH, SIGNATURE_SECRET, SIGNATURE_SECRET_FILE, SIGNER_SECRET_PROVIDER, SIGNER_SECRET_PROVIDER_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doFilter(javax.servlet.FilterChain filterChain, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain filterChain)`
    `void` | `init(javax.servlet.FilterConfig conf)`
    `protected void` | `initializeAuthHandler(String authHandlerClassName, javax.servlet.FilterConfig filterConfig)`

    - ### Methods inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

      `constructSecretProvider, createAuthCookie, destroy, getAuthenticationHandler, getConfiguration, getConfiguration, getCookieDomain, getCookiePath, getRequestURL, getToken, getValidity, initializeSecretProvider, isCustomSignerSecretProvider, isRandomSecret`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosFilter

          public KerberosFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig conf)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Overrides:
        `init` in class `org.apache.hadoop.security.authentication.server.AuthenticationFilter`
      Throws:
        `javax.servlet.ServletException`

    - #### initializeAuthHandler

          protected void initializeAuthHandler(String authHandlerClassName,
                                               javax.servlet.FilterConfig filterConfig)
                                        throws javax.servlet.ServletException

      Overrides:
        `initializeAuthHandler` in class `org.apache.hadoop.security.authentication.server.AuthenticationFilter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          protected void doFilter(javax.servlet.FilterChain filterChain,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws IOException,
                                  javax.servlet.ServletException

      Overrides:
        `doFilter` in class `org.apache.hadoop.security.authentication.server.AuthenticationFilter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain filterChain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Overrides:
        `doFilter` in class `org.apache.hadoop.security.authentication.server.AuthenticationFilter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.